import { __decorate } from "tslib";
import { FASTElement, customElement, observable } from '@microsoft/fast-element';
import * as Components from '../components';
import { logger } from '../utils';
import { NotificationDashboardStyles as styles } from './notification-dashboard.styles';
import { NotificationDashboardTemplate as template } from './notification-dashboard.template';
/**
 * @public
 */
let NotificationDashboard = class NotificationDashboard extends FASTElement {
    constructor() {
        super(...arguments);
        this.ready = false;
    }
    async connectedCallback() {
        super.connectedCallback();
        logger.debug(`foundation-notification-dashboard is now connected to the DOM`);
        await this.loadRemotes();
    }
    /**
     * Load remote components
     *
     * @remarks
     *
     * With regards to module federation
     *
     * @internal
     */
    async loadRemotes() {
        const remoteComponents = await Components.loadRemotes();
        this.ready = true;
    }
};
__decorate([
    observable
], NotificationDashboard.prototype, "ready", void 0);
NotificationDashboard = __decorate([
    customElement({
        name: 'foundation-notification-dashboard',
        template,
        styles,
    })
], NotificationDashboard);
export { NotificationDashboard };
